Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.persistence
Class Transaction.Key

    java.lang.Object
      de.grogra.persistence.Transaction.Key

Enclosing class:
  Transaction

    public static final class Transaction.Key

extends java.lang.Object

Method Summary
`boolean` | `equals(java.lang.Object o)`
`boolean` | `equals(short mid, long xid)`
`short` | `getManagerId()`
`long` | `getUserId()`
`long` | `getXAId()`
`int` | `hashCode()`
`boolean` | `hasUserId(PersistenceManager manager, long userId)`
`static Transaction.Key` | `read(java.io.DataInput in)`
`java.lang.String` | `toString()`
`void` | `write(java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(short mid,
                          long xid)

### getManagerId

    public short getManagerId()

### getUserId

    public long getUserId()

### getXAId

    public long getXAId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### hasUserId

    public boolean hasUserId(PersistenceManager manager,
                             long userId)

### read

    public static Transaction.Key read(java.io.DataInput in)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### write

    public void write(java.io.DataOutput out)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD